import { IField } from './IField';
import { IFieldState } from './IFormState';
import { FieldRegistry } from './FieldRegistry';
export interface IFieldInputProps {
    registry: FieldRegistry;
    index: number;
    field: IField;
    value: any;
    attempt: boolean;
    context: any;
    onValueChange: (field: IField, value: any, fieldStatus: IFieldState) => void;
}
export interface IGenericFieldInputProps<T extends IField, V> extends IFieldInputProps {
    field: T;
    value: V;
}
export interface IFieldInputComponent extends React.ComponentClass<IFieldInputProps> {
}
export interface IFieldInputInjector {
    onValuesChanged?: (field: IField, values: {
        [id: string]: any;
    }) => IFieldState;
    onValuesInit?: (field: IField, values: {
        [id: string]: any;
    }) => IFieldState;
}
